#!/usr/bin/env bash
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path" || exit

./lint.sh

if [ 1 -eq "$#" ]
then
  ./version_bump.sh "$1"
else
echo "No version bump"
fi

cd docker/app || exit
docker build --tag luthor:latest .
if [ 1 -eq "$#" ]
then
  docker tag luthor:latest "$1"
else
  echo "No version bump"
fi
cd "$parent_path/docker" || exit
docker save luthor:latest | bzip2 | pv | ssh tanshu@anubhachambers.com 'bunzip2 | sudo docker load'
ansible-playbook --limit=anubha playbook.yml
